---
apiVersion: v1
# The repository name in registry1, excluding /ironbank/
name: "confluentinc/cp-enterprise-replicator"
# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dso.mil
tags:
  - "7.2.0-1-ubi8"
  - "7.2.0"
  - "7.2.x"
  - "7.2"
# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: "redhat/openjdk/openjdk11"
  BASE_TAG: "1.11"
# Docker image labels
labels:
  org.opencontainers.image.title: "cp-enterprise-replicator"
  org.opencontainers.image.description: "Official Confluent Docker Image for Replicator"
  org.opencontainers.image.licenses: "CONFLUENT ENTERPRISE LICENSE"
  org.opencontainers.image.url: "https://docs.confluent.io/platform/current/overview.html"
  org.opencontainers.image.vendor: "Confluent"
  org.opencontainers.image.version: "7.2.0"
  mil.dso.ironbank.image.keywords: "confluent,cflt,kafka,replicator,operator,cfk"
  mil.dso.ironbank.image.type: "commercial"
  mil.dso.ironbank.product.name: "Confluent Platform"
resources:
  - filename: confluent_docker_utils-0.0.52-py3-none-any.whl
    url: https://ironbank-files.s3.amazonaws.com/confluent_docker_utils-0.0.52-py3-none-any.whl
    validation:
      type: sha256
      value: 01d6a63a65311afde4dbf3da2c7d402cb1ab995cb6590dc5d43b346f6e1cdda2
  - filename: archive.key
    url: https://packages.confluent.io/rpm/7.2/archive.key
    validation:
      type: sha256
      value: 6753aba4eab80062784a903af0314877d36fa4f998333adffecb0fcba81113cd
  - filename: confluent-common-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-common-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: b8dd106288d41fdfe5a88704b95603ba455d11920f3705047e392fa45bca19eb
  - filename: confluent-rebalancer-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-rebalancer-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: ec490dd099f8aa6af2fe2b90c3d6b01330016b6add0f309563759d116c71ed71
  - filename: confluent-rest-utils-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-rest-utils-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: b361485a14a11535325930cdd6309acd2046ff905e8cdb3de4e4f67e8a3530c2
  - filename: confluent-security-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-security-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: c40eff1122a2dfa2513f84975dce2ed07af9b53649014276ea8b098659ca49b2
  - filename: confluent-metadata-service-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-metadata-service-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 680b737805948a5fd7894061f5c9cf257d4176a0065f30a489cd9e80ac9cf624
  - filename: confluent-server-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-server-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 2394e2f1d30868df5ec836482f0015b4bfdf044d76f24e249cf5955ffd593814
  - filename: confluent-ce-kafka-http-server-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-ce-kafka-http-server-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 8a9f5c47407d6fa22a992d31576a26bd2bed8c81f254f1e3070557003ac3f4d0
  - filename: confluent-server-rest-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-server-rest-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 14e0c3e524138cc94e629f2e6497aa8e1c9edf81fedec90d138e071e169804eb
  - filename: confluent-telemetry-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-telemetry-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 1f96e592b6148660a5a326d0f772ea6fb921ecea9334746f0b3b6806d3942891
  - filename: confluent-kafka-rest-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-kafka-rest-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 05f8f40e6ceb34e39a2507e4f134ddb863b627b80ec0262965747211bd58db3d
  - filename: confluent-hub-client-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-hub-client-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: c8f59e1e069438f791a9213e17bd33984acdf4f6b08faabb16c71d1bd2b148d0
  - filename: confluent-control-center-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-control-center-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: a3595466e253e3a957b9b3528af1fe5a33a267bcc6a1a63f04a3cb550e8a823c
  - filename: confluent-control-center-fe-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-control-center-fe-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 055043de96af6d3bc5dda1f39ce99eee748cc5599be0d60c98ef10a2331edf50
  - filename: confluent-schema-registry-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-schema-registry-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: 1a5a821fbb78ace521422e454d85d17bc23b17cf2744ad2e22fba96bb0fb3573
  - filename: confluent-kafka-connect-replicator-7.2.0-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.2/confluent-kafka-connect-replicator-7.2.0-1.noarch.rpm
    validation:
      type: sha256
      value: e66fe148d25b9d648f95749fd171d85b267d3f4dfec359b4429e0e1cff672cb4
  - filename: cp-base-new_7.2.0_UsrLocalLib.tar.gz
    url: https://ironbank-files.s3.amazonaws.com/cp-base-new_7.2.0_UsrLocalLib.tar.gz
    validation:
      type: sha256
      value: c4c48db4994aa8de130db0f04b5940695b1af0fe213e3d67acb5becb882a6fed
  - filename: cp-base-new_7.2.0_UsrLocalLib64.tar.gz
    url: https://ironbank-files.s3.amazonaws.com/cp-base-new_7.2.0_UsrLocalLib64.tar.gz
    validation:
      type: sha256
      value: 3461707013e659120e1942b84e5d23869206ecf33ea4127661167d9250849c7d
  - filename: cp-base-new_7.2.0_UsrShareJavaCp-base-new.tar.gz
    url: https://ironbank-files.s3.amazonaws.com/cp-base-new_7.2.0_UsrShareJavaCp-base-new.tar.gz
    validation:
      type: sha256
      value: e2972e95524088f51456247120593ca9867e729fcf5fa68c4fc3e65b0f2b70e3
# List of project maintainers
maintainers:
  - name: "Scott Stroud"
    username: "scottstroud"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Preston McGowan"
    username: "preston.mcgowan"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Gary Hott"
    username: "garyhott86"
    email: "confluent-fed@confluent.io"
    cht_member: false
